package net.sf.alchim.codeplus.spoonprocessor;

import java.lang.annotation.Annotation;
import java.util.Set;

import spoon.reflect.declaration.CtAnnotation;
import spoon.reflect.declaration.CtElement;

public class AnnotationHelper {

    public static void removeAnnotation(CtElement elt, Class<? extends Annotation> type) {
        Set<CtAnnotation<?>> annotations = elt.getAnnotations();
        for(CtAnnotation<?> cta : annotations) {
            try {
                if (cta.getActualAnnotation().annotationType().equals(type)) {
                    annotations.remove(cta);
                }
            } catch(NullPointerException exc) {

            }
        }
        elt.setAnnotations(annotations);
    }
}
